Package uk.ac.starlink.vo

## Interface RegistryQuery

- All Known Implementing Classes:
    `RegTapRegistryQuery`, `Ri1RegistryQuery`

      public interface RegistryQuery

  Describes a query on a registry.
  Since:
    4 Jan 2005
  Author:
    Mark Taylor (Starlink)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `uk.ac.starlink.table.DescribedValue[]` | `getMetadata()` | Returns a set of DescribedValue objects which characterise this query.
    `java.util.Iterator<RegResource>` | `getQueryIterator()` | Executes the query described by this object and returns an Iterator over `RegResource` objects.
    `RegResource[]` | `getQueryResources()` | Executes the query described by this object and returns the result as an array of `RegResource`s.
    `java.net.URL` | `getRegistry()` | Returns the registry URL.
    `java.lang.String` | `getText()` | Returns the query text.

- - ### Method Detail

    - #### getQueryIterator

          java.util.Iterator<RegResource> getQueryIterator()
                                                    throws java.io.IOException

      Executes the query described by this object and returns an Iterator over `RegResource` objects. Note that the iterator's `next` method may throw the unchecked exception `RegistryQueryException` with a cause indicating the underlying error in case of a registry access problem.
      Returns:
        iterator over `RegResource`s
      Throws:
        `java.io.IOException`

    - #### getQueryResources

          RegResource[] getQueryResources()
                                   throws java.io.IOException

      Executes the query described by this object and returns the result as an array of `RegResource`s.
      Returns:
        resource list
      Throws:
        `java.io.IOException`

    - #### getText

          java.lang.String getText()

      Returns the query text.
      Returns:
        query

    - #### getRegistry

          java.net.URL getRegistry()

      Returns the registry URL.
      Returns:
        url

    - #### getMetadata

          uk.ac.starlink.table.DescribedValue[] getMetadata()

      Returns a set of DescribedValue objects which characterise this query. These would be suitable for use in the parameter list of a `StarTable` resulting from the execution of this query.